MsWrdStruct.hxx File Reference
`#include <iostream>`
`#include <string>`
`#include <vector>`
`#include "libmwaw_internal.hxx"`
`#include "MWAWFont.hxx"`
`#include "MWAWParagraph.hxx"`

Go to the source code of this file.

## Classes

struct | MsWrdStruct::Font
| the font structure of a Microsoft Word file More...
struct | MsWrdStruct::Section
| the section structure of a Microsoft Word file More...
struct | MsWrdStruct::Table
| the table in a Microsoft Word file More...
struct | MsWrdStruct::Table::Cell
| the cells definitions in a Microsoft Word Table More...
struct | MsWrdStruct::ParagraphInfo
| the paragraph information of a Microsoft Word file (PHE) More...
struct | MsWrdStruct::Paragraph
| the paragraph structure of a Microsoft Word file More...

## Namespaces

namespace | MsWrdStruct
| namespace to store the main structure which appears in a Microsoft Word 3.0-5.0 file

## Functions

MWAWBorder | MsWrdStruct::getBorder (int val, std::string &extra)
| generic function use to fill a border using the read data